/*
 * Copyright 2016 - 2022 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <nostalgia/studio/studio.hpp>

namespace nostalgia::core {

class NewTilesheetWizardPage: public studio::WizardFormPage {
	private:
		static constexpr auto TileSheetName = "projectName";
		static constexpr auto Palette = "palette";
		class QComboBox *m_palettePicker = nullptr;
		const studio::Context *m_ctx = nullptr;

	public:
		NewTilesheetWizardPage(const studio::Context *args);

		int accept();

	private:
};

}
